Index: code/branches/presentation/data/levels/presentationFS11.oxw
===================================================================
--- code/branches/presentation/data/levels/presentationFS11.oxw	(revision 8568)
+++ code/branches/presentation/data/levels/presentationFS11.oxw	(revision 8570)
@@ -47,4 +47,8 @@
       </pickup>
     </PickupSpawner>
+
+    <ParticleSpawner position="-50,50,-125" source="Orxonox/RingExp" lifetime=500 loop=1 startdelay=2.5 />
+    <ParticleSpawner position="-50,50,-125" source="Orxonox/RingExp2" lifetime=500 loop=1 startdelay=2 />
+    <ParticleSpawner position="-50,50,-125" source="Orxonox/RingExp3" lifetime=500 loop=1 startdelay=2 />
 
     
Index: code/branches/presentation/data/particle/RingExp.particle
===================================================================
--- code/branches/presentation/data/particle/RingExp.particle	(revision 8570)
+++ code/branches/presentation/data/particle/RingExp.particle	(revision 8570)
@@ -0,0 +1,135 @@
+
+particle_system Orxonox/RingExp
+{
+	quota	500
+	material	PE/lensflare
+	particle_width	65
+	particle_height	40
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	vertex
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	55
+		colour	0.9 0.9 1 1
+		colour_range_start	0.9 0.9 1 1
+		colour_range_end	0.9 0.9 1 1
+		direction	-1 0 0
+		emission_rate	1250
+		position	0 0 0
+		velocity	65
+		velocity_min	65
+		velocity_max	65
+		time_to_live	4
+		time_to_live_min	4
+		time_to_live_max	4
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	10
+		repeat_delay_min	10
+		repeat_delay_max	10
+	}
+
+	emitter Point
+	{
+		angle	55
+		colour	0.9 0.9 1 1
+		colour_range_start	0.9 0.9 1 1
+		colour_range_end	0.9 0.9 1 1
+		direction	1 0 0
+		emission_rate	1250
+		position	0 0 0
+		velocity	65
+		velocity_min	65
+		velocity_max	65
+		time_to_live	4
+		time_to_live_min	4
+		time_to_live_max	4
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	10
+		repeat_delay_min	10
+		repeat_delay_max	10
+	}
+
+	emitter Point
+	{
+		angle	55
+		colour	0.9 0.9 1 1
+		colour_range_start	0.9 0.9 1 1
+		colour_range_end	0.9 0.9 1 1
+		direction	0 0 -1
+		emission_rate	1250
+		position	0 0 0
+		velocity	65
+		velocity_min	65
+		velocity_max	65
+		time_to_live	4
+		time_to_live_min	4
+		time_to_live_max	4
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	10
+		repeat_delay_min	10
+		repeat_delay_max	10
+	}
+
+	emitter Point
+	{
+		angle	55
+		colour	0.9 0.9 1 1
+		colour_range_start	0.9 0.9 1 1
+		colour_range_end	0.9 0.9 1 1
+		direction	0 0 1
+		emission_rate	1250
+		position	0 0 0
+		velocity	65
+		velocity_min	65
+		velocity_max	65
+		time_to_live	4
+		time_to_live_min	4
+		time_to_live_max	4
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	10
+		repeat_delay_min	10
+		repeat_delay_max	10
+	}
+
+	affector DeflectorPlane
+	{
+		plane_point	0 -2 0
+		plane_normal	0 1 0
+		bounce  1
+	}
+
+	affector DeflectorPlane
+	{
+		plane_point	0 2 0
+		plane_normal	0 -1 0
+		bounce	1
+	}
+
+	affector ColourFader
+	{
+		red	-0.3
+		green	-0.3
+		blue	-0.3
+		alpha	-0.3
+	}
+
+}
Index: code/branches/presentation/data/particle/RingExp2.particle
===================================================================
--- code/branches/presentation/data/particle/RingExp2.particle	(revision 8570)
+++ code/branches/presentation/data/particle/RingExp2.particle	(revision 8570)
@@ -0,0 +1,58 @@
+
+particle_system Orxonox/RingExp2
+{
+	quota	500
+	material	PE/ringflare
+	particle_width	35
+	particle_height	35
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	vertex
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	30
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 0.7 0.7 1
+		direction	0 1 0
+		emission_rate	1000
+		position	0 0 0
+		velocity	50
+		velocity_min	50
+		velocity_max	100
+		time_to_live	4
+		time_to_live_min	4
+		time_to_live_max	4
+		duration	0.5
+		duration_min	0.5
+		duration_max	0.5
+		repeat_delay	10
+		repeat_delay_min	10
+		repeat_delay_max	10
+	}
+
+	affector ColourFader
+	{
+		red	-0.3
+		green	-0.3
+		blue	-0.3
+		alpha	-0.3
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness	5
+		scope	1.0
+		keep_velocity	true
+	}
+}
Index: code/branches/presentation/data/particle/RingExp3.particle
===================================================================
--- code/branches/presentation/data/particle/RingExp3.particle	(revision 8570)
+++ code/branches/presentation/data/particle/RingExp3.particle	(revision 8570)
@@ -0,0 +1,58 @@
+
+particle_system Orxonox/RingExp3
+{
+	quota	500
+	material	PE/ringflare
+	particle_width	35
+	particle_height	35
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	vertex
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	30
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 0.7 0.7 1
+		direction	0 -1 0
+		emission_rate	1000
+		position	0 0 0
+		velocity	50
+		velocity_min	50
+		velocity_max	100
+		time_to_live	4
+		time_to_live_min	4
+		time_to_live_max	4
+		duration	0.5
+		duration_min	0.5
+		duration_max	0.5
+		repeat_delay	10
+		repeat_delay_min	10
+		repeat_delay_max	10
+	}
+
+	affector ColourFader
+	{
+		red	-0.3
+		green	-0.3
+		blue	-0.3
+		alpha	-0.3
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness	5
+		scope	1.0
+		keep_velocity	true
+	}
+}