Index: /code/branches/gameimmersion/data/defaultConfig/keybindings.ini
===================================================================
--- /code/branches/gameimmersion/data/defaultConfig/keybindings.ini	(revision 8573)
+++ /code/branches/gameimmersion/data/defaultConfig/keybindings.ini	(revision 8574)
@@ -21,5 +21,5 @@
 KeyDown="scale -1 moveFrontBack"
 KeyE="scale -1 rotateRoll"
-KeyEnd=
+KeyEnd="boost"
 KeyEquals=
 KeyEscape="keyESC"
@@ -120,5 +120,5 @@
 KeySlash=
 KeySleep=
-KeySpace=startBoost | stopBoost
+KeySpace="boost"
 KeyStop=
 KeySystemRequest=
Index: /code/branches/gameimmersion/src/orxonox/controllers/HumanController.cc
===================================================================
--- /code/branches/gameimmersion/src/orxonox/controllers/HumanController.cc	(revision 8573)
+++ /code/branches/gameimmersion/src/orxonox/controllers/HumanController.cc	(revision 8574)
@@ -52,7 +52,5 @@
     SetConsoleCommand("HumanController", __CC_fire_name,           &HumanController::fire          ).addShortcut().keybindMode(KeybindMode::OnHold);
     SetConsoleCommand("HumanController", "reload",                 &HumanController::reload        ).addShortcut();
-    //SetConsoleCommand("HumanController", __CC_boost_name,          &HumanController::toggleBoost   ).addShortcut().keybindMode(KeybindMode::OnPress);
-    SetConsoleCommand("HumanController", "startBoost",             &HumanController::startBoost    ).addShortcut().keybindMode(KeybindMode::OnPress);
-    SetConsoleCommand("HumanController", "stopBoost",              &HumanController::stopBoost     ).addShortcut().keybindMode(KeybindMode::OnRelease);
+    SetConsoleCommand("HumanController", __CC_boost_name,          &HumanController::toggleBoost   ).addShortcut().keybindMode(KeybindMode::OnPress);
     SetConsoleCommand("HumanController", "greet",                  &HumanController::greet         ).addShortcut();
     SetConsoleCommand("HumanController", "switchCamera",           &HumanController::switchCamera  ).addShortcut();
@@ -173,5 +171,5 @@
     /*static*/ void HumanController::toggleBoost()
     {
-	COUT(0) << "Toggling boost!";
+        COUT(3) << "Toggling boost!" << endl; // TODO: Remove!
         if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
             HumanController::localController_s->toggleBoosting();
@@ -185,5 +183,4 @@
     void HumanController::toggleBoosting(void)
     {
-	    /*
         this->boosting_ = !this->boosting_;
         
@@ -194,25 +191,6 @@
             ModifyConsoleCommand(__CC_boost_name).keybindMode(KeybindMode::OnPress);
 
-        this->controllableEntity_->boost(this->boosting_);*/
-    }
-    
-    void HumanController::startBoost()
-    {
-	    COUT(0) << "Starting boost" << std::endl;
-	    if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
-		    HumanController::localController_s->setBoost(true);
-    }
-    
-    void HumanController::stopBoost()
-    {
-	    COUT(0) << "Stopping boost" << std::endl;
-	    if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
-		    HumanController::localController_s->setBoost(false);
-    }
-    
-    void HumanController::setBoost(bool bBoost)
-    {
-	    this->controllableEntity_->boost(bBoost);
-    }	    
+        this->controllableEntity_->boost(this->boosting_);
+    }
 
     void HumanController::greet()
Index: /code/branches/gameimmersion/src/orxonox/controllers/HumanController.h
===================================================================
--- /code/branches/gameimmersion/src/orxonox/controllers/HumanController.h	(revision 8573)
+++ /code/branches/gameimmersion/src/orxonox/controllers/HumanController.h	(revision 8574)
@@ -64,8 +64,5 @@
             static void reload();
 
-	    static void startBoost();
-	    static void stopBoost();
-            static void toggleBoost(); // Static method,toggles boosting.
-	    void setBoost(bool);
+            static void toggleBoost(); // Static method, toggles boosting.
             /**
             @brief Check whether the HumanController is in boosting mode.
Index: /code/branches/gameimmersion/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- /code/branches/gameimmersion/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 8573)
+++ /code/branches/gameimmersion/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 8574)
@@ -78,12 +78,12 @@
         this->setConfigValues();
         this->registerVariables();
-	
-	Camera* c = CameraManager::getInstance().getActiveCamera();
-	this->cameraOriginalPosition = c->getPosition();
-	this->cameraOriginalOrientation = c->getOrientation();
-
-	this->shakeFrequency_ = 15;
-	this->shakeAmplitude_ = 5;
-	this->shakeDt_ = 0;
+        
+        Camera* c = CameraManager::getInstance().getActiveCamera();
+        this->cameraOriginalPosition = c->getPosition();
+        this->cameraOriginalOrientation = c->getOrientation();
+
+        this->shakeFrequency_ = 15;
+        this->shakeAmplitude_ = 5;
+        this->shakeDt_ = 0;
     }
 
@@ -106,5 +106,5 @@
         XMLPortParamVariable(SpaceShip, "boostRate", boostRate_, xmlelement, mode);
         XMLPortParamVariable(SpaceShip, "boostCooldownDuration", boostCooldownDuration_, xmlelement, mode);
-	XMLPortParamVariable(SpaceShip, "shakeFrequency", shakeFrequency_, xmlelement, mode);
+        XMLPortParamVariable(SpaceShip, "shakeFrequency", shakeFrequency_, xmlelement, mode);
     }
 
@@ -118,5 +118,5 @@
         registerVariable(this->boostRate_, VariableDirection::ToClient);
         registerVariable(this->boostCooldownDuration_, VariableDirection::ToClient);
-	registerVariable(this->shakeFrequency_, VariableDirection::ToClient);
+        registerVariable(this->shakeFrequency_, VariableDirection::ToClient);
     }
 
@@ -144,5 +144,5 @@
         if (this->hasLocalController())
         {
-		
+
 /*
             this->localLinearAcceleration_.setX(this->localLinearAcceleration_.x() * getMass() * this->auxilaryThrust_);
@@ -176,8 +176,8 @@
                     this->bBoostCooldown_ = true;
                     this->timer_.setTimer(this->boostCooldownDuration_, false, createExecutor(createFunctor(&SpaceShip::boostCooledDown, this)));
-		    
+
                 }
-		
-		shakeCamera(dt);		
+
+                shakeCamera(dt);    
             }
         }
@@ -234,66 +234,66 @@
     */
     void SpaceShip::boost(bool bBoost)
-    {	
+    {
         if(bBoost && !this->bBoostCooldown_)
-	{
-	    //COUT(0) << "Boost startet!\n";
+        {
+            //COUT(0) << "Boost startet!\n";
             this->bBoost_ = true;
-	}
+        }
         if(!bBoost)
-	{
-	    //COUT(0) << "Boost stoppt\n";
-	    this->resetCamera();
+        {
+            //COUT(0) << "Boost stoppt\n";
+            this->resetCamera();
             this->bBoost_ = false;
-	}
+        }
     }
     
     void SpaceShip::boostCooledDown(void)
     {
-	    this->bBoostCooldown_ = false;
+        this->bBoostCooldown_ = false;
     }
     
     void SpaceShip::shakeCamera(float dt)
     {
-	    //make sure the ship is only shaking if it's moving
-	    if (this->getVelocity().squaredLength() > 80)
-	    {
-		    this->shakeDt_ += dt;
-		    
-		    int frequency = this->shakeFrequency_ * (this->getVelocity().squaredLength());
-		    
-		    if (this->shakeDt_ >= 1 /(frequency))
-		    {
-			    this->shakeDt_ -= 1/(frequency);
-		    }
-		    
-		    Degree angle = Degree(sin(this->shakeDt_ * 2* math::pi * frequency) * this->shakeAmplitude_);
-			
-//		    COUT(0) << "Angle: " << angle << std::endl;
-		    Camera* c = this->getCamera();
-
-			//Shaking Camera effect
-		    if (c != 0)
-		    {
-			    c->setOrientation(Vector3::UNIT_X, angle);
-		    }
-	    }
+        //make sure the ship is only shaking if it's moving
+        if (this->getVelocity().squaredLength() > 80)
+        {
+            this->shakeDt_ += dt;
+    
+            int frequency = this->shakeFrequency_ * (this->getVelocity().squaredLength());
+    
+            if (this->shakeDt_ >= 1 /(frequency))
+            {
+                this->shakeDt_ -= 1/(frequency);
+            }
+    
+            Degree angle = Degree(sin(this->shakeDt_ * 2* math::pi * frequency) * this->shakeAmplitude_);
+    
+            //COUT(0) << "Angle: " << angle << std::endl;
+            Camera* c = this->getCamera();
+
+            //Shaking Camera effect
+            if (c != 0)
+            {
+                c->setOrientation(Vector3::UNIT_X, angle);
+            }
+        }
     }
     
     void SpaceShip::resetCamera()
     {
-	    
-//	    COUT(0) << "Resetting camera\n";
-	    Camera *c = this->getCamera();
-	  
-	    if (c == 0)
-	    {
-		    COUT(2) << "Failed to reset camera!";
-		    return;
-	    }
-	    
-	    shakeDt_ = 0;
-	    // 	    
-	    c->setPosition(this->cameraOriginalPosition);
-	    c->setOrientation(this->cameraOriginalOrientation);
+    
+        //COUT(0) << "Resetting camera\n";
+        Camera *c = this->getCamera();
+    
+        if (c == 0)
+        {
+            COUT(2) << "Failed to reset camera!";
+            return;
+        }
+    
+        shakeDt_ = 0;
+        //
+        c->setPosition(this->cameraOriginalPosition);
+        c->setOrientation(this->cameraOriginalOrientation);
     }
 