Index: code/branches/presentation/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 8578)
+++ 	(revision )
@@ -1,131 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      simonmie
- *   Co-authors:
- *      ...
- *
- */
-
-#include "BasicProjectile.h"
-
-#include "core/CoreIncludes.h"
-#include "core/ConfigValueIncludes.h"
-#include "core/GameMode.h"
-#include "core/command/Executor.h"
-#include "objects/collisionshapes/SphereCollisionShape.h"
-#include "worldentities/pawns/Pawn.h"
-#include "graphics/ParticleSpawner.h"
-#include "core/OrxonoxClass.h"
-
-namespace orxonox
-{
-    /**
-    @brief
-        Constructor. Registers the object and initializes some default values.
-    */
-    BasicProjectile::BasicProjectile() : OrxonoxClass()
-    {
-        RegisterRootObject(BasicProjectile);// - register the BasicProjectile class to the core
-
-        this->bDestroy_ = false;
-
-        // Default damage must be zero, otherwise it would be above zero if no settings are made in the weaponsettings xml file.
-        // same thing for all weaponmodes files
-        this->damage_ = 0;
-        this->healthdamage_ = 0;
-        this->shielddamage_ = 0;
-    }
-
-    BasicProjectile::~BasicProjectile()
-    {
-    }
-
-    /* The function called when a projectile hits another thing.
-     * calls the hit-function, starts the reload countdown, displays visual effects
-     * hit is defined in src/orxonox/worldentities/pawns/pawn.cc
-     */
-    bool BasicProjectile::basicCollidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint, Pawn* owner, BasicProjectile* this_)
-    {
-        if (!this_->getBDestroy() && GameMode::isMaster())
-        {
-            if (otherObject == owner) //prevents you from shooting yourself
-                return false;
-
-            this_->setBDestroy(true); // If something is hit, the object is destroyed and can't hit something else.
-                                      // The projectile is destroyed by its tick()-function (in the following tick).
-
-            Pawn* victim = orxonox_cast<Pawn*>(otherObject); //if otherObject isn't a Pawn, then victim is NULL
-
-            WorldEntity* entity = orxonox_cast<WorldEntity*>(this_);
-            assert(entity); //entity must not be null
-
-
-            // if visual effects after destruction cause problems, put this block below the effects code block
-            if (victim)
-            {
-                victim->hit(owner, contactPoint, this_->getDamage(), this_->getHealthDamage(), this_->getShieldDamage());
-                victim->startReloadCountdown();
-            }
-
-            // visual effects for being hit, depending on whether the shield is hit or not
-            if (owner) //if the owner does not exist (anymore?), no effects are displayed.
-            {
-                // damping and explosion effect is only played if the victim is no pawn (see cast above)
-                // or if the victim is a pawn, has no shield left, is still alive and any damage goes to the health
-                if (!victim || (victim && !victim->hasShield() && victim->getHealth() > 0 && (this_->getDamage() > 0 || this_->getHealthDamage() > 0)))
-                {
-                    {
-                        ParticleSpawner* effect = new ParticleSpawner(owner->getCreator());
-                        effect->setPosition(entity->getPosition());
-                        effect->setOrientation(entity->getOrientation());
-                        effect->setDestroyAfterLife(true);
-                        effect->setSource("Orxonox/explosion3");
-                        effect->setLifetime(2.0f);
-                    }
-                        // second effect with same condition
-                    {
-                        ParticleSpawner* effect = new ParticleSpawner(owner->getCreator());
-                        effect->setPosition(entity->getPosition());
-                        effect->setOrientation(entity->getOrientation());
-                        effect->setDestroyAfterLife(true);
-                        effect->setSource("Orxonox/smoke4");
-                        effect->setLifetime(3.0f);
-                    }
-                }
-
-                // victim->isAlive() is not false until the next tick, so getHealth() > 0 is used instead
-                if (victim && victim->hasShield() && (this_->getDamage() > 0 || this_->getShieldDamage() > 0) && victim->getHealth() > 0)
-                {
-                    ParticleSpawner* effect = new ParticleSpawner(owner->getCreator());
-                    effect->setPosition(entity->getPosition());
-                    effect->setOrientation(entity->getOrientation());
-                    effect->setDestroyAfterLife(true);
-                    effect->setSource("Orxonox/Shield");
-                    effect->setLifetime(0.5f);
-                }
-            }
-
-        }
-        return false;
-    }
-}
Index: code/branches/presentation/src/modules/weapons/projectiles/BasicProjectile.h
===================================================================
--- code/branches/presentation/src/modules/weapons/projectiles/BasicProjectile.h	(revision 8578)
+++ 	(revision )
@@ -1,83 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      simonmie
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _BasicProjectile_H__
-#define _BasicProjectile_H__
-
-#include "weapons/WeaponsPrereqs.h"
-
-#include "tools/Timer.h"
-#include "core/OrxonoxClass.h"
-
-namespace orxonox
-{
-    class _WeaponsExport BasicProjectile : public virtual OrxonoxClass
-    {
-        public:
-            BasicProjectile();
-
-            virtual ~BasicProjectile();
-
-            static bool basicCollidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint, Pawn* owner, BasicProjectile* this_);
-
-            void basicDestroyObject();
-
-            inline void setDamage(float damage)
-                { this->damage_ = damage;  }
-            inline float getDamage() const
-                { return this->damage_; }
-
-            inline void setHealthDamage(float healthdamage)
-                { this->healthdamage_ = healthdamage; }
-            inline float getHealthDamage() const
-                { return this->healthdamage_; }
-
-            inline void setShieldDamage(float shielddamage)
-                { this->shielddamage_ = shielddamage;  } //ShieldDamage wird korrekt gesettet vom XML-File
-            inline float getShieldDamage() const
-                { return this->shielddamage_; }
-
-
-            inline void setBDestroy(bool bDestroy)
-                { this->bDestroy_ = bDestroy;  }
-            inline float getBDestroy() const
-                { return this->bDestroy_; }
-
-
-        private:
-//            WeakPtr<Pawn> owner_; //owner cannot be set in BasicProjectile, because it's already defined in MobileEntity and Movable Entity
-
-            float damage_;
-            float healthdamage_;
-            float shielddamage_;
-
-            bool bDestroy_;
-    };
-}
-
-#endif /* _BasicProjectile_H__ */
Index: code/branches/presentation/src/modules/weapons/projectiles/CMakeLists.txt
===================================================================
--- code/branches/presentation/src/modules/weapons/projectiles/CMakeLists.txt	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/projectiles/CMakeLists.txt	(revision 8579)
@@ -6,4 +6,3 @@
   Rocket.cc
   SimpleRocket.cc
-  BasicProjectile.cc
 )
Index: code/branches/presentation/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/projectiles/Projectile.cc	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/projectiles/Projectile.cc	(revision 8579)
@@ -23,5 +23,5 @@
  *      Fabian 'x3n' Landau
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -41,12 +41,15 @@
     CreateFactory(Projectile);
 
-    Projectile::Projectile(BaseObject* creator) : MovableEntity(creator), BasicProjectile()
+    Projectile::Projectile(BaseObject* creator) : MovableEntity(creator)
     {
         RegisterObject(Projectile);
 
         this->setConfigValues();
+        this->bDestroy_ = false;
         this->owner_ = 0;
+        this->damage_ = 15;
 
         // Get notification about collisions
+
         if (GameMode::isMaster())
         {
@@ -81,5 +84,5 @@
             return;
 
-        if (this->getBDestroy())
+        if (this->bDestroy_)
             this->destroy(); // TODO: use a scheduler instead of deleting the object right here in tick()
     }
@@ -91,9 +94,38 @@
     }
 
-    /* Calls the collidesAgainst function of BasicProjectile
-     */
     bool Projectile::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
-        return BasicProjectile::basicCollidesAgainst(otherObject,contactPoint,this->getOwner(),this);
+        if (!this->bDestroy_ && GameMode::isMaster())
+        {
+            if (otherObject == this->owner_)
+                return false;
+
+            this->bDestroy_ = true;
+
+            if (this->owner_)
+            {
+                {
+                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
+                    effect->setPosition(this->getPosition());
+                    effect->setOrientation(this->getOrientation());
+                    effect->setDestroyAfterLife(true);
+                    effect->setSource("Orxonox/explosion3");
+                    effect->setLifetime(2.0f);
+                }
+                {
+                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
+                    effect->setPosition(this->getPosition());
+                    effect->setOrientation(this->getOrientation());
+                    effect->setDestroyAfterLife(true);
+                    effect->setSource("Orxonox/smoke4");
+                    effect->setLifetime(3.0f);
+                }
+            }
+
+            Pawn* victim = orxonox_cast<Pawn*>(otherObject);
+            if (victim)
+                victim->hit(this->owner_, contactPoint, this->damage_);
+        }
+        return false;
     }
 
Index: code/branches/presentation/src/modules/weapons/projectiles/Projectile.h
===================================================================
--- code/branches/presentation/src/modules/weapons/projectiles/Projectile.h	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/projectiles/Projectile.h	(revision 8579)
@@ -23,5 +23,5 @@
  *      Fabian 'x3n' Landau
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -35,9 +35,7 @@
 #include "worldentities/MovableEntity.h"
 
-#include "BasicProjectile.h"
-
 namespace orxonox
 {
-    class _WeaponsExport Projectile : public MovableEntity, public BasicProjectile
+    class _WeaponsExport Projectile : public MovableEntity
     {
         public:
@@ -51,12 +49,18 @@
             virtual bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
 
+            inline void setDamage(float damage)
+                { this->damage_ = damage; }
+            inline float getDamage() const
+                { return this->damage_; }
+
             void setOwner(Pawn* owner);
             inline Pawn* getOwner() const
                 { return this->owner_; }
 
-
         private:
             WeakPtr<Pawn> owner_;
             float lifetime_;
+            float damage_;
+            bool bDestroy_;
             Timer destroyTimer_;
     };
Index: code/branches/presentation/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/projectiles/Rocket.cc	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/projectiles/Rocket.cc	(revision 8579)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -52,9 +52,10 @@
         Constructor. Registers the object and initializes some default values.
     */
-    Rocket::Rocket(BaseObject* creator) : ControllableEntity(creator), BasicProjectile()
+    Rocket::Rocket(BaseObject* creator) : ControllableEntity(creator)
     {
         RegisterObject(Rocket);// - register the Rocket class to the core
 
         this->localAngularVelocity_ = 0;
+        this->bDestroy_ = false;
         this->lifetime_ = 100;
 
@@ -145,6 +146,6 @@
     {
         this->owner_ = owner;
-        this->player_ = this->getOwner()->getPlayer();
-        this->getOwner()->getPlayer()->startTemporaryControl(this);
+        this->player_ = this->owner_->getPlayer();
+        this->owner_->getPlayer()->startTemporaryControl(this);
 
         if( GameMode::isMaster() )
@@ -174,5 +175,5 @@
         if( GameMode::isMaster() )
         {
-            if( this->getBDestroy() )
+            if( this->bDestroy_ )
                 this->destroy();
 
@@ -180,9 +181,40 @@
     }
 
-    /* Calls the collidesAgainst function of BasicProjectile
-     */
     bool Rocket::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
-        return BasicProjectile::basicCollidesAgainst(otherObject,contactPoint,this->getOwner(),this);
+        if (!this->bDestroy_ && GameMode::isMaster())
+        {
+            if (otherObject == this->owner_)
+                return false;
+
+            this->bDestroy_ = true;
+
+            if (this->owner_)
+            {
+                {
+                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
+                    effect->setPosition(this->getPosition());
+                    effect->setOrientation(this->getOrientation());
+                    effect->setDestroyAfterLife(true);
+                    effect->setSource("Orxonox/explosion4");
+                    effect->setLifetime(2.0f);
+                }
+
+                {
+                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
+                    effect->setPosition(this->getPosition());
+                    effect->setOrientation(this->getOrientation());
+                    effect->setDestroyAfterLife(true);
+                    effect->setSource("Orxonox/smoke4");
+                    effect->setLifetime(3.0f);
+                }
+            }
+
+            Pawn* victim = orxonox_cast<Pawn*>(otherObject);
+            if (victim)
+                victim->hit(this->owner_, contactPoint, this->damage_);
+//             this->destroy();
+        }
+        return false;
     }
 
@@ -201,5 +233,8 @@
     void Rocket::fired(unsigned int firemode)
     {
-        this->destroy();
+//         if (this->owner_)
+//         {
+            this->destroy();
+//         }
     }
 
@@ -207,8 +242,8 @@
     {
         ParticleSpawner *effect1, *effect2;
-        if( this->getOwner() )
-        {
-            effect1 = new ParticleSpawner(this->getOwner()->getCreator());
-            effect2 = new ParticleSpawner(this->getOwner()->getCreator());
+        if( this->owner_ )
+        {
+            effect1 = new ParticleSpawner(this->owner_->getCreator());
+            effect2 = new ParticleSpawner(this->owner_->getCreator());
         }
         else
Index: code/branches/presentation/src/modules/weapons/projectiles/Rocket.h
===================================================================
--- code/branches/presentation/src/modules/weapons/projectiles/Rocket.h	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/projectiles/Rocket.h	(revision 8579)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -34,6 +34,4 @@
 #include "tools/Timer.h"
 #include "worldentities/ControllableEntity.h"
-
-#include "BasicProjectile.h"
 
 namespace orxonox
@@ -48,5 +46,5 @@
         Oli Scheuss
     */
-    class _WeaponsExport Rocket : public ControllableEntity, public BasicProjectile
+    class _WeaponsExport Rocket : public ControllableEntity
     {
         public:
@@ -111,4 +109,8 @@
                 { return this->owner_; }
 
+            inline void setDamage(float damage)
+                { this->damage_ = damage; }
+            inline float getDamage() const
+                { return this->damage_; }
             virtual void fired(unsigned int firemode);
 
@@ -116,4 +118,6 @@
             WeakPtr<Pawn> owner_;
             Vector3 localAngularVelocity_;
+            float damage_;
+            bool bDestroy_;
 
             WeakPtr<PlayerInfo> player_;
Index: code/branches/presentation/src/modules/weapons/projectiles/SimpleRocket.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 8579)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -48,13 +48,14 @@
     CreateFactory(SimpleRocket);
 
-    SimpleRocket::SimpleRocket(BaseObject* creator) : ControllableEntity(creator), BasicProjectile()
+    SimpleRocket::SimpleRocket(BaseObject* creator) : ControllableEntity(creator)
     {
         RegisterObject(SimpleRocket);// - register the SimpleRocket class to the core
 
         this->localAngularVelocity_ = 0;
+        this->bDestroy_ = false;
         this->lifetime_ = 120;
 
         this->setMass(15);
-//        COUT(4) << "simplerocket constructed\n";
+        COUT(4) << "simplerocket constructed\n";
 
         if (GameMode::isMaster())
@@ -114,5 +115,5 @@
                 this->disableFire();
 
-            if( this->getBDestroy() )
+            if( this->bDestroy_ )
                 this->destroy();
         }
@@ -158,13 +159,49 @@
     {
         this->owner_ = owner;
-        this->player_ = this->getOwner()->getPlayer();
-    }
-
-
-    /* Calls the collidesAgainst function of BasicProjectile
-     */
+        this->player_ = this->owner_->getPlayer();
+    }
+
+
+
+
     bool SimpleRocket::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
-        return BasicProjectile::basicCollidesAgainst(otherObject,contactPoint,this->getOwner(),this);
+        if (!this->bDestroy_ && GameMode::isMaster())
+        {
+            if (otherObject == this->owner_)
+                return false;
+
+            this->bDestroy_ = true;
+
+            if (this->owner_)
+            {
+                {
+                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
+                    effect->setPosition(this->getPosition());
+                    effect->setOrientation(this->getOrientation());
+                    effect->setDestroyAfterLife(true);
+                    effect->setSource("Orxonox/explosion4");
+                    effect->setLifetime(2.0f);
+                }
+
+                {
+                    ParticleSpawner* effect = new ParticleSpawner(this->owner_->getCreator());
+                    effect->setPosition(this->getPosition());
+                    effect->setOrientation(this->getOrientation());
+                    effect->setDestroyAfterLife(true);
+                    effect->setSource("Orxonox/smoke4");
+                    effect->setLifetime(3.0f);
+                }
+            }
+
+            float dmg = this->damage_;
+//             if (this->owner_)
+//                 dmg = this->owner_->getPickups().processModifiers(ModifierType::Damage, dmg, false);
+
+            Pawn* victim = orxonox_cast<Pawn*>(otherObject);
+            if (victim)
+                victim->hit(this->owner_, contactPoint, dmg);
+        }
+        return false;
     }
 
Index: code/branches/presentation/src/modules/weapons/projectiles/SimpleRocket.h
===================================================================
--- code/branches/presentation/src/modules/weapons/projectiles/SimpleRocket.h	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/projectiles/SimpleRocket.h	(revision 8579)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -36,6 +36,4 @@
 #include "graphics/ParticleSpawner.h"
 
-#include "BasicProjectile.h"
-
 namespace orxonox
 {
@@ -48,5 +46,5 @@
        Gabriel Nadler (Original file: Oli Scheuss)
     */
-    class _WeaponsExport SimpleRocket : public ControllableEntity, public BasicProjectile
+    class _WeaponsExport SimpleRocket : public ControllableEntity
     {
         public:
@@ -113,7 +111,11 @@
             inline Pawn* getOwner() const
                 { return this->owner_; }
-
             inline bool hasFuel() const
             { return this->fuel_; }
+
+            inline void setDamage(float damage)
+                { this->damage_ = damage; }
+            inline float getDamage() const
+                { return this->damage_; }
 
 
@@ -121,4 +123,6 @@
             WeakPtr<Pawn> owner_;
             Vector3 localAngularVelocity_;
+            float damage_;
+            bool bDestroy_;
             bool fuel_; //!< Bool is true while the rocket "has fuel"
 
Index: code/branches/presentation/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 8579)
@@ -23,5 +23,5 @@
  *      Hagen Seifert
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -50,5 +50,5 @@
 
         this->reloadTime_ = 0.25;
-        this->damage_ = 0; //default 15
+        this->damage_ = 15;
         this->speed_ = 2500;
         this->delay_ = 0;
@@ -97,6 +97,4 @@
     }
 
-    /* Creates the projectile object, sets its properties to the EnergyDrink properties, calls muendungsfeuer()
-     */
     void EnergyDrink::shot()
     {
@@ -114,6 +112,4 @@
         projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
-        projectile->setShieldDamage(this->getShieldDamage());
-        projectile->setHealthDamage(this->getHealthDamage());
 
         EnergyDrink::muendungsfeuer();
Index: code/branches/presentation/src/modules/weapons/weaponmodes/FusionFire.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 8579)
@@ -23,5 +23,5 @@
  *      Martin Polak
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -48,5 +48,5 @@
         this->reloadTime_ = 1.0;
         this->bParallelReload_ = false;
-        this->damage_ = 0; //default 40
+        this->damage_ = 40;
         this->speed_ = 1250;
 
@@ -54,6 +54,4 @@
     }
 
-    /* Creates the projectile (BillboardProjectile) object, sets its properties to the FusionFire properties
-     */
     void FusionFire::fire()
     {
@@ -67,7 +65,4 @@
         projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
-        projectile->setShieldDamage(this->getShieldDamage());
-        projectile->setHealthDamage(this->getHealthDamage());
-
         projectile->setColour(ColourValue(1.0f, 0.7f, 0.3f, 1.0f));
     }
Index: code/branches/presentation/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/HsW01.cc	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/HsW01.cc	(revision 8579)
@@ -23,5 +23,5 @@
  *      Hagen Seifert
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -51,5 +51,5 @@
 
         this->reloadTime_ = 0.25;
-        this->damage_ = 0; //default 15
+        this->damage_ = 15;
         this->speed_ = 2500;
         this->delay_ = 0;
@@ -109,6 +109,4 @@
     }
 
-    /* Creates the projectile object, sets its properties to the HsW01 properties, calls muendungsfeuer()
-     */
     void HsW01::shot()
     {
@@ -128,6 +126,4 @@
         projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
-        projectile->setShieldDamage(this->getShieldDamage());
-        projectile->setHealthDamage(this->getHealthDamage());
 
         HsW01::muendungsfeuer();
Index: code/branches/presentation/src/modules/weapons/weaponmodes/LaserFire.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 8579)
@@ -23,5 +23,5 @@
  *      Martin Polak
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -45,5 +45,5 @@
 
         this->reloadTime_ = 0.25;
-        this->damage_ = 0; //default 15
+        this->damage_ = 15;
         this->speed_ = 1250;
 
@@ -51,6 +51,4 @@
     }
 
-    /* Creates the projectile object, sets its properties to the LaserFire properties
-     */
     void LaserFire::fire()
     {
@@ -63,6 +61,4 @@
         projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
-        projectile->setShieldDamage(this->getShieldDamage());
-        projectile->setHealthDamage(this->getHealthDamage());
     }
 }
Index: code/branches/presentation/src/modules/weapons/weaponmodes/LightningGun.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 8579)
@@ -23,5 +23,5 @@
  *      Joel Smely
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -45,5 +45,5 @@
 
         this->reloadTime_ = 1;
-        this->damage_ = 0; //default 100
+        this->damage_ = 100;
         this->speed_ = 150;
 
@@ -56,6 +56,4 @@
     }
 
-    /* Creates the projectile (LightningGunProjectile) object, sets its properties to the LightningGun properties
-     */
     void LightningGun::fire()
     {
@@ -71,6 +69,4 @@
         projectile->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         projectile->setDamage(this->getDamage());
-        projectile->setShieldDamage(this->getShieldDamage());
-        projectile->setHealthDamage(this->getHealthDamage());
     }
 }
Index: code/branches/presentation/src/modules/weapons/weaponmodes/RocketFire.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 8579)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -48,5 +48,5 @@
         this->reloadTime_ = 0.20f;
         this->bParallelReload_ = false;
-        this->damage_ = 0;
+        this->damage_ = 100;
         this->speed_ = 500;
 
@@ -59,6 +59,4 @@
     }
 
-    /* Creates the Rocket object, sets its properties to the RocketFire properties
-     */
     void RocketFire::fire()
     {
@@ -73,6 +71,4 @@
         rocket->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
         rocket->setDamage(this->getDamage());
-        rocket->setShieldDamage(this->getShieldDamage());
-        rocket->setHealthDamage(this->getHealthDamage());
     }
 }
Index: code/branches/presentation/src/modules/weapons/weaponmodes/SimpleRocketFire.cc
===================================================================
--- code/branches/presentation/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 8578)
+++ code/branches/presentation/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 8579)
@@ -23,5 +23,5 @@
  *      Oliver Scheuss
  *   Co-authors:
- *      simonmie
+ *      ...
  *
  */
@@ -50,5 +50,5 @@
         this->reloadTime_ = 1;
         this->bParallelReload_ = false;
-        this->damage_ = 0;
+        this->damage_ = 100;
         this->speed_ = 500;
 
@@ -62,6 +62,4 @@
     }
 
-    /* Creates the Rocket (RocketController) object, sets its properties to the SimpleRocketFire properties, sets target
-     */
     void SimpleRocketFire::fire()
     {
@@ -73,9 +71,5 @@
         rocket->setVelocity(this->getMuzzleDirection()*this->speed_);
         rocket->setOwner(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
-
         rocket->setDamage(this->damage_);
-        rocket->setShieldDamage(this->getShieldDamage());
-        rocket->setHealthDamage(this->getHealthDamage());
-
         WorldEntity* pawnn=static_cast<ControllableEntity*>(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn())->getTarget();
         if (pawnn) con->setTarget(pawnn);